package dnsstat

import (
	"sync"

	"github.com/coredns/coredns/plugin"

	"github.com/prometheus/client_golang/prometheus"
	"github.com/prometheus/client_golang/prometheus/promauto"
)

// Track total requests made to given domain name + misc
var requestCount = promauto.NewCounterVec(prometheus.CounterOpts{
	Namespace: plugin.Namespace,
	Subsystem: "dnsstat",
	Name:      "dnsstat_request_count_total",
	Help:      "Counter of requests made.",
}, []string{
	"server",
	"zone",
	"class",
	"type",
	"name",
	"client_ip",
})

var once sync.Once
